#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 bytestring-strict-builder
version:              0.4.5.4
visibility:           public
id:                   bytestring-strict-builder-0.4.5.4-EXyHRvCUxc0EosEM792RfA
key:                  bytestring-strict-builder-0.4.5.4-EXyHRvCUxc0EosEM792RfA
license:              MIT
copyright:            (c) 2017, Nikita Volkov
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/bytestring-strict-builder
synopsis:             An efficient strict bytestring builder
description:
    According to
    <https://github.com/nikita-volkov/bytestring-builders-benchmark the competition benchmarks>,
    this library provides on average the fastest builder of strict bytestrings.

    Practical benchmarks have proven it to be highly performant as well.
    The encoders from the \"postgresql-binary\" library have shown
    a stable performance improvement by factors of up to 10 after the migration
    from the standard builder to \"bytestring-strict-builder\".

category:             Text, ByteString, Builders, Serialization
abi:                  e859811a7a61d0ca0e46778dfeb69b44
exposed:              True
exposed-modules:      ByteString.StrictBuilder
hidden-modules:
    ByteString.StrictBuilder.Prelude
    ByteString.StrictBuilder.Population
    ByteString.StrictBuilder.Population.UncheckedShifting
    ByteString.StrictBuilder.UTF8

import-dirs:
    /usr/lib/ghc-8.10.5/site-local/bytestring-strict-builder-0.4.5.4

library-dirs:
    /usr/lib/ghc-8.10.5/site-local/bytestring-strict-builder-0.4.5.4

dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/i386-linux-ghc-8.10.5/bytestring-strict-builder-0.4.5.4

hs-libraries:         HSbytestring-strict-builder-0.4.5.4-EXyHRvCUxc0EosEM792RfA
depends:              base-4.14.2.0 bytestring-0.10.12.0
haddock-interfaces:
    /usr/share/doc/haskell-bytestring-strict-builder/html/bytestring-strict-builder.haddock

haddock-html:         /usr/share/doc/haskell-bytestring-strict-builder/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

